# Docs For Class FileMaker_Command_Edit

## Class FileMaker_Command_Edit

Description

Command class that edits a single record.

Create this command with FileMaker::newEditCommand().

Located in /FileMaker/Command/Edit.php (line 29)

    FileMaker_Command
       |
       --FileMaker_Command_Edit

Method Summary
void setField (string $field, string $value, [integer $repetition = 0])
void setFieldFromTimestamp (string $field, string $timestamp, [integer $repetition = 0])
void setModificationId (integer $modificationId)
Methods
setField (line 65)

Sets the new value for a field.

void setField (string $field, string $value, [integer $repetition = 0])

- string $field: Name of the field to set.
- string $value: Value for the field.
- integer $repetition: Field repetition number to set, Defaults to the first repetition.

setFieldFromTimestamp (line 86)

Sets the new value for a date, time, or timestamp field from a UNIX timestamp value.

If the field is not a date or time field, then this method returns an Error object. Otherwise, returns TRUE.

If layout data for the target of this command has not already been loaded, calling this method loads layout data so that the type of the field can be checked.

void setFieldFromTimestamp (string $field, string $timestamp, [integer $repetition = 0])

- string $field: Name of the field to set.
- string $timestamp: Timestamp value.
- integer $repetition: Field repetition number to set. Defaults to the first repetition.

setModificationId (line 104)

Sets the modification ID for this command.

Before you edit a record, you can use the FileMaker_Record::getModificationId() method to get the record's modification ID. By specifying a modification ID when you execute an Edit command, you can make sure that you are editing the current version of a record. If the modification ID value you specify does not match the current modification ID value in the database, the Edit command is not allowed and an error code is returned.

void setModificationId (integer $modificationId)

- integer $modificationId: Modification ID.

#### Inherited Methods

Inherited From FileMaker_Command

> FileMaker_Command::execute()
> FileMaker_Command::setPreCommandScript()
> FileMaker_Command::setPreSortScript()
> FileMaker_Command::setRecordClass()
> FileMaker_Command::setRecordId()
> FileMaker_Command::setResultLayout()
> FileMaker_Command::setScript()
> FileMaker_Command::validate()

Documentation generated on Wed, 29 Jun 2011 12:31:22 -0700 by phpDocumentor 1.4.0